// source: metermodule/metermodule.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {missingRequire} reports error on implicit type usages.
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!
/* eslint-disable */
// @ts-nocheck

var jspb = require('google-protobuf');
var goog = jspb;
var global =
  (typeof globalThis !== 'undefined' && globalThis) ||
  (typeof window !== 'undefined' && window) ||
  (typeof global !== 'undefined' && global) ||
  (typeof self !== 'undefined' && self) ||
  (function () { return this; }).call(null) ||
  Function('return this')();

var uml_pb = require('../uml_pb.js');
goog.object.extend(proto, uml_pb);
var commonmodule_commonmodule_pb = require('../commonmodule/commonmodule_pb.js');
goog.object.extend(proto, commonmodule_commonmodule_pb);
goog.exportSymbol('proto.metermodule.MeterReading', null, global);
goog.exportSymbol('proto.metermodule.MeterReadingProfile', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.metermodule.MeterReading = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.metermodule.MeterReading, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.metermodule.MeterReading.displayName = 'proto.metermodule.MeterReading';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.metermodule.MeterReadingProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.metermodule.MeterReadingProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.metermodule.MeterReadingProfile.displayName = 'proto.metermodule.MeterReadingProfile';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.metermodule.MeterReading.prototype.toObject = function (opt_includeInstance) {
    return proto.metermodule.MeterReading.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.metermodule.MeterReading} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.metermodule.MeterReading.toObject = function (includeInstance, msg) {
    var f, obj = {
      conductingequipmentterminalreading: (f = msg.getConductingequipmentterminalreading()) && commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading.toObject(includeInstance, f),
      phasemmtn: (f = msg.getPhasemmtn()) && commonmodule_commonmodule_pb.PhaseMMTN.toObject(includeInstance, f),
      readingmmtr: (f = msg.getReadingmmtr()) && commonmodule_commonmodule_pb.ReadingMMTR.toObject(includeInstance, f),
      readingmmxu: (f = msg.getReadingmmxu()) && commonmodule_commonmodule_pb.ReadingMMXU.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.metermodule.MeterReading}
 */
proto.metermodule.MeterReading.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.metermodule.MeterReading;
  return proto.metermodule.MeterReading.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.metermodule.MeterReading} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.metermodule.MeterReading}
 */
proto.metermodule.MeterReading.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading;
        reader.readMessage(value, commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading.deserializeBinaryFromReader);
        msg.setConductingequipmentterminalreading(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.PhaseMMTN;
        reader.readMessage(value, commonmodule_commonmodule_pb.PhaseMMTN.deserializeBinaryFromReader);
        msg.setPhasemmtn(value);
        break;
      case 3:
        var value = new commonmodule_commonmodule_pb.ReadingMMTR;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMMTR.deserializeBinaryFromReader);
        msg.setReadingmmtr(value);
        break;
      case 4:
        var value = new commonmodule_commonmodule_pb.ReadingMMXU;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMMXU.deserializeBinaryFromReader);
        msg.setReadingmmxu(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.metermodule.MeterReading.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.metermodule.MeterReading.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.metermodule.MeterReading} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.metermodule.MeterReading.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getConductingequipmentterminalreading();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading.serializeBinaryToWriter
    );
  }
  f = message.getPhasemmtn();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.PhaseMMTN.serializeBinaryToWriter
    );
  }
  f = message.getReadingmmtr();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      commonmodule_commonmodule_pb.ReadingMMTR.serializeBinaryToWriter
    );
  }
  f = message.getReadingmmxu();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      commonmodule_commonmodule_pb.ReadingMMXU.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ConductingEquipmentTerminalReading conductingEquipmentTerminalReading = 1;
 * @return {?proto.commonmodule.ConductingEquipmentTerminalReading}
 */
proto.metermodule.MeterReading.prototype.getConductingequipmentterminalreading = function () {
  return /** @type{?proto.commonmodule.ConductingEquipmentTerminalReading} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading, 1));
};


/**
 * @param {?proto.commonmodule.ConductingEquipmentTerminalReading|undefined} value
 * @return {!proto.metermodule.MeterReading} returns this
*/
proto.metermodule.MeterReading.prototype.setConductingequipmentterminalreading = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.metermodule.MeterReading} returns this
 */
proto.metermodule.MeterReading.prototype.clearConductingequipmentterminalreading = function () {
  return this.setConductingequipmentterminalreading(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.metermodule.MeterReading.prototype.hasConductingequipmentterminalreading = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.PhaseMMTN phaseMMTN = 2;
 * @return {?proto.commonmodule.PhaseMMTN}
 */
proto.metermodule.MeterReading.prototype.getPhasemmtn = function () {
  return /** @type{?proto.commonmodule.PhaseMMTN} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.PhaseMMTN, 2));
};


/**
 * @param {?proto.commonmodule.PhaseMMTN|undefined} value
 * @return {!proto.metermodule.MeterReading} returns this
*/
proto.metermodule.MeterReading.prototype.setPhasemmtn = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.metermodule.MeterReading} returns this
 */
proto.metermodule.MeterReading.prototype.clearPhasemmtn = function () {
  return this.setPhasemmtn(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.metermodule.MeterReading.prototype.hasPhasemmtn = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional commonmodule.ReadingMMTR readingMMTR = 3;
 * @return {?proto.commonmodule.ReadingMMTR}
 */
proto.metermodule.MeterReading.prototype.getReadingmmtr = function () {
  return /** @type{?proto.commonmodule.ReadingMMTR} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMMTR, 3));
};


/**
 * @param {?proto.commonmodule.ReadingMMTR|undefined} value
 * @return {!proto.metermodule.MeterReading} returns this
*/
proto.metermodule.MeterReading.prototype.setReadingmmtr = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.metermodule.MeterReading} returns this
 */
proto.metermodule.MeterReading.prototype.clearReadingmmtr = function () {
  return this.setReadingmmtr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.metermodule.MeterReading.prototype.hasReadingmmtr = function () {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional commonmodule.ReadingMMXU readingMMXU = 4;
 * @return {?proto.commonmodule.ReadingMMXU}
 */
proto.metermodule.MeterReading.prototype.getReadingmmxu = function () {
  return /** @type{?proto.commonmodule.ReadingMMXU} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMMXU, 4));
};


/**
 * @param {?proto.commonmodule.ReadingMMXU|undefined} value
 * @return {!proto.metermodule.MeterReading} returns this
*/
proto.metermodule.MeterReading.prototype.setReadingmmxu = function (value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.metermodule.MeterReading} returns this
 */
proto.metermodule.MeterReading.prototype.clearReadingmmxu = function () {
  return this.setReadingmmxu(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.metermodule.MeterReading.prototype.hasReadingmmxu = function () {
  return jspb.Message.getField(this, 4) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.metermodule.MeterReadingProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.metermodule.MeterReadingProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.metermodule.MeterReadingProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.metermodule.MeterReadingProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      readingmessageinfo: (f = msg.getReadingmessageinfo()) && commonmodule_commonmodule_pb.ReadingMessageInfo.toObject(includeInstance, f),
      meter: (f = msg.getMeter()) && commonmodule_commonmodule_pb.Meter.toObject(includeInstance, f),
      meterreading: (f = msg.getMeterreading()) && proto.metermodule.MeterReading.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.metermodule.MeterReadingProfile}
 */
proto.metermodule.MeterReadingProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.metermodule.MeterReadingProfile;
  return proto.metermodule.MeterReadingProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.metermodule.MeterReadingProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.metermodule.MeterReadingProfile}
 */
proto.metermodule.MeterReadingProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ReadingMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMessageInfo.deserializeBinaryFromReader);
        msg.setReadingmessageinfo(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.Meter;
        reader.readMessage(value, commonmodule_commonmodule_pb.Meter.deserializeBinaryFromReader);
        msg.setMeter(value);
        break;
      case 3:
        var value = new proto.metermodule.MeterReading;
        reader.readMessage(value, proto.metermodule.MeterReading.deserializeBinaryFromReader);
        msg.setMeterreading(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.metermodule.MeterReadingProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.metermodule.MeterReadingProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.metermodule.MeterReadingProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.metermodule.MeterReadingProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getReadingmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ReadingMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getMeter();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.Meter.serializeBinaryToWriter
    );
  }
  f = message.getMeterreading();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.metermodule.MeterReading.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ReadingMessageInfo readingMessageInfo = 1;
 * @return {?proto.commonmodule.ReadingMessageInfo}
 */
proto.metermodule.MeterReadingProfile.prototype.getReadingmessageinfo = function () {
  return /** @type{?proto.commonmodule.ReadingMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.ReadingMessageInfo|undefined} value
 * @return {!proto.metermodule.MeterReadingProfile} returns this
*/
proto.metermodule.MeterReadingProfile.prototype.setReadingmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.metermodule.MeterReadingProfile} returns this
 */
proto.metermodule.MeterReadingProfile.prototype.clearReadingmessageinfo = function () {
  return this.setReadingmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.metermodule.MeterReadingProfile.prototype.hasReadingmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.Meter meter = 2;
 * @return {?proto.commonmodule.Meter}
 */
proto.metermodule.MeterReadingProfile.prototype.getMeter = function () {
  return /** @type{?proto.commonmodule.Meter} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.Meter, 2));
};


/**
 * @param {?proto.commonmodule.Meter|undefined} value
 * @return {!proto.metermodule.MeterReadingProfile} returns this
*/
proto.metermodule.MeterReadingProfile.prototype.setMeter = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.metermodule.MeterReadingProfile} returns this
 */
proto.metermodule.MeterReadingProfile.prototype.clearMeter = function () {
  return this.setMeter(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.metermodule.MeterReadingProfile.prototype.hasMeter = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional MeterReading meterReading = 3;
 * @return {?proto.metermodule.MeterReading}
 */
proto.metermodule.MeterReadingProfile.prototype.getMeterreading = function () {
  return /** @type{?proto.metermodule.MeterReading} */ (
    jspb.Message.getWrapperField(this, proto.metermodule.MeterReading, 3));
};


/**
 * @param {?proto.metermodule.MeterReading|undefined} value
 * @return {!proto.metermodule.MeterReadingProfile} returns this
*/
proto.metermodule.MeterReadingProfile.prototype.setMeterreading = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.metermodule.MeterReadingProfile} returns this
 */
proto.metermodule.MeterReadingProfile.prototype.clearMeterreading = function () {
  return this.setMeterreading(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.metermodule.MeterReadingProfile.prototype.hasMeterreading = function () {
  return jspb.Message.getField(this, 3) != null;
};


goog.object.extend(exports, proto.metermodule);
